# ISDestroy

Destroys an index set.

### Synopsis

    #include "petscis.h"
    PetscErrorCode PETSCVEC_DLLEXPORT ISDestroy(IS is)

Collective on IS

### Input Parameters

is -the index set

### See Also

ISCreateGeneral(), ISCreateStride(), ISCreateBlocked()

Level:beginner
Location: src/vec/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/examples/tutorials/ex1.c.html
src/vec/is/examples/tutorials/ex2.c.html
src/vec/is/examples/tutorials/ex3.c.html
src/vec/is/examples/tutorials/ex1f.F.html
src/vec/is/examples/tutorials/ex2f.F.html
src/vec/is/examples/tutorials/ex1f90.F.html
src/vec/is/examples/tutorials/ex3f90.F.html
src/mat/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex8.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/snes/examples/tutorials/ex33f.F.html